Bug 1635862 - [RFE] Deploy Glance Cache with TripleO
Summary: [RFE] Deploy Glance Cache with TripleO
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 15.0 (Stein)
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: Upstream M2
: 15.0 (Stein)
Assignee: Pranali Deore
QA Contact: Mike Abrams
URL:
Whiteboard:
Depends On: 1727922
Blocks: 1697910 1700327
TreeView+ depends on / blocked
 
Reported: 2018-10-03 19:17 UTC by John Fulton
Modified: 2019-09-26 10:46 UTC (History)
14 users (show)

Fixed In Version: openstack-tripleo-heat-templates-10.5.1-0.20190610110407.a42b885.el8ost
Doc Type: Enhancement
Doc Text:
Using the Red Hat OpenStack Platform director, you can now configure the Image service (glance) to have an optional local image cache. You turn on the image cache, by setting the “GlanceCacheEnabled” property to True. A typical use case for the image cache is edge computing. Because the Image service resides at central site, you can deploy and enable the image cache at remote sites and save bandwidth and reduce the Image service’s boot time.
Clone Of:
Environment:
Last Closed: 2019-09-21 11:19:11 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
OpenStack gerrit 613195 0 None MERGED Enable Glance Image Cache 2020-10-28 14:28:19 UTC
OpenStack gerrit 663048 0 None MERGED Add configuration options for the image cache 2020-10-28 14:28:35 UTC
OpenStack gerrit 664134 0 None MERGED Add more settings for glance image cache 2020-10-28 14:28:35 UTC
Red Hat Product Errata RHEA-2019:2811 0 None None None 2019-09-21 11:19:30 UTC

Description John Fulton 2018-10-03 19:17:09 UTC
Add a feature to TripleO so that it can deploy the glance image cache service:

 https://docs.openstack.org/glance/pike/admin/cache.html

Comment 1 John Fulton 2018-10-03 19:18:22 UTC
Upstream Blueprint:

https://blueprints.launchpad.net/tripleo/+spec/split-controlplane-glance-cache

Comment 4 Paul Grist 2018-10-05 14:45:48 UTC
Removing the "service" from the title to remove any confusion.  More work to follow on the details of the deployment of the glance cache feature in the description which includes the API etc.  Just want to be sure there's no confusion with some of the other upstream glance efforts that do not exist yet.

Comment 6 Alan Bishop 2018-10-26 17:54:40 UTC
ON_DEV until the upstream patch merges.

Comment 16 errata-xmlrpc 2019-09-21 11:19:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2019:2811


Note You need to log in before you can comment on or make changes to this bug.